Subject: Re: mail draft
From: Dimpy Chawla <[email-masked]>
To: Alice Lsm <[email-masked]>
Date: Mon, 3 May 2021 19:49:35 -0700 (MST)

Hi Harmail , 

Thank you for your mail. 

As I can see your order (#EH-202104151503-344076) for (2) AlphaViril (1) Body-Brain Energy (1) Cholesterol Optimizer (2)Blood Flow Optimizer was placed on 04/15/2021 and shipped out on 04/16/2021 via USPS along with the tracking number #LX672006790US 

Please use the below link to track your order directly:- 
https://tools.usps.com/go/TrackConfirmAction?qtc_tLabels1=UM607455396US 

Please note that International orders do take 12 to 21 business days to deliver at the respective destination. I would suggest you please wait till the stipulated time. 

In the meantime should you have further query, feel free to get back to us. 

With Warm Regards 
Alice | HFL Customer Care Team | www.4HFL.com 

From: "Alice Lsm" <[email-masked]> 
To: "Dimpy Chawla" <[email-masked]> 
Sent: Tuesday, 4 May, 2021 08:16:45 
Subject: mail draft 

Hi Harmail , 

Thank you for your mail. 

As I can see your order (#EH-202104151503-344076) for (2) AlphaViril (1) Body-Brain Energy (1) Cholesterol Optimizer (2)Blood Flow Optimizer was placed on 04/15/2021 and shipped out on 04/16/2021 via USPS along with the tracking number # [ https://tools.usps.com/go/TrackConfirmAction?qtc_tLabels1=LX672006790US | LX672006790US ] 

Please use the below link to track your order directly:- 
[ https://tools.usps.com/go/TrackConfirmAction?qtc_tLabels1=UM607455396US | https://tools.usps.com/go/TrackConfirmAction?qtc_tLabels1=UM607455396US ] 

Please note that International orders do take 12 to 21 business days to deliver at the respective destination. I would suggest you please wait till the stipulated time. 

In the meantime should you have further query, feel free to get back to us. 

With Warm Regards 

Alice